| 0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Typedefs
number_precision.hpp File Reference

GLM_GTX_number_precision More...

Go to the source code of this file.

## Typedefs
typedef f32 | f32mat1
| Single-qualifier floating-point scalar. (from GLM_GTX_number_precision extension)
typedef f32 | f32mat1x1
| Single-qualifier floating-point scalar. (from GLM_GTX_number_precision extension)
typedef f32 | f32vec1
| Single-qualifier floating-point scalar. (from GLM_GTX_number_precision extension)
typedef f64 | f64mat1
| Double-qualifier floating-point scalar. (from GLM_GTX_number_precision extension)
typedef f64 | f64mat1x1
| Double-qualifier floating-point scalar. (from GLM_GTX_number_precision extension)
typedef f64 | f64vec1
| Single-qualifier floating-point scalar. (from GLM_GTX_number_precision extension)
typedef u16 | u16vec1
| 16bit unsigned integer scalar. (from GLM_GTX_number_precision extension)
typedef u32 | u32vec1
| 32bit unsigned integer scalar. (from GLM_GTX_number_precision extension)
typedef u64 | u64vec1
| 64bit unsigned integer scalar. (from GLM_GTX_number_precision extension)
typedef u8 | u8vec1
| 8bit unsigned integer scalar. (from GLM_GTX_number_precision extension)

## Detailed Description

GLM_GTX_number_precision

See also
  Core features (dependence)
  GLM_GTC_type_precision (dependence)
  GLM_GTC_quaternion (dependence)

Definition in file number_precision.hpp.